IntersectBlockReader.BlockIteration (Lucene 10.5.1 codecs API)
Description: declaration: package: org.apache.lucene.codecs.uniformsplit, class: IntersectBlockReader, enum: BlockIteration

Package org.apache.lucene.codecs.uniformsplit

# Enum Class IntersectBlockReader.BlockIteration

java.lang.Object
java.lang.Enum<IntersectBlockReader.BlockIteration>
org.apache.lucene.codecs.uniformsplit.IntersectBlockReader.BlockIteration

All Implemented Interfaces:
  `Serializable`, `Comparable<IntersectBlockReader.BlockIteration>`, `Constable`

Enclosing class:
  `IntersectBlockReader`

protected static enum IntersectBlockReader.BlockIteration extends Enum<IntersectBlockReader.BlockIteration>
Block iteration order. Whether to move next block, jump to a block away, or end the iteration.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `END`
  `NEXT`
  `SEEK`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IntersectBlockReader.BlockIteration`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static IntersectBlockReader.BlockIteration[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEXT

    public static final IntersectBlockReader.BlockIteration NEXT

  - ### SEEK

    public static final IntersectBlockReader.BlockIteration SEEK

  - ### END

    public static final IntersectBlockReader.BlockIteration END

- ## Method Details

  - ### values

    public static IntersectBlockReader.BlockIteration[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static IntersectBlockReader.BlockIteration valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null